%-------------------------------------------------------------------
% lecture des donnes de validation
load pendigits_valid.txt -ascii 
XV=pendigits_valid(:,1:16); % vecteur des observations en entre
YV=pendigits_valid(:,17);   % vecteur des observations en sortie

%-------------------------------------------------------------------
% prparation des donnes
XV=XV/50-1; % les entres sont normes et centres
YV=(YV==3); % les sorties valent 1 pour le chiffre 3, 0 pour les 
            % autres chiffres

%-------------------------------------------------------------------
% Calcul de la valeur finale du critre des moindres carrs pour les 
% donnes de validation
Crit_valid=mlperr(net,XV,YV);
disp('--------------------------------------------------');
disp(['Valeur du critre (valid) :              ' num2str(Crit_valid)]);

%-------------------------------------------------------------------
% Comparaison de la sortie du rseau et des donnes
YVR=mlpfwd(net,XV)>0.5; % Calcul de la sortie et seuillage  0.5
Nb_detection=sum(and(YVR,YV));
Nb_non_detection=sum(YV)-Nb_detection;
Nb_fausse_detection=sum(YVR)-Nb_detection;
disp(['Nombre de dtections correctes (valid) : ' num2str(Nb_detection)]);
disp(['Nombre de non dtections (valid) :       ' num2str(Nb_non_detection)]);
disp(['Nombre de fausses dtections (valid) :   ' num2str(Nb_fausse_detection)]);

